Documentation

Storage Client API


Storage Client API


Storage Service API

Storage service provides the endpoints for managing datasets and artifacts.
Download OpenAPI specification:

Lists all VCS integrations under the specified organization.


Lists all VCS integrations under the specified organization.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Lists all VCS integrations under the specified organization."

organizationId

string
required
Genesis ID of the organization

organizationId

string
required
The Unity organization identifier.

Query parameters for "Lists all VCS integrations under the specified organization."

offset

integer
int representing number of items to skip

limit

integer
int representing max returned items

HTTP response status codes for "Lists all VCS integrations under the specified organization.":

Code samples for "Lists all VCS integrations under the specified organization.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations"

Response example

{ "limit": 0, "offset": 0, "results": [ { "id": "string", "name": "string", "provider": "Uvcs" } ], "total": 0}

Creates a new UVCS integration under the specified organization.


Creates a new UVCS integration under the specified organization.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Creates a new UVCS integration under the specified organization."

organizationId

string
required
Genesis ID of the organization

organizationId

string
required
The Unity organization identifier.

Request body for "Creates a new UVCS integration under the specified organization."

Media Type:
application/json

name

string
The VCS integration name.

HTTP response status codes for "Creates a new UVCS integration under the specified organization.":

Code samples for "Creates a new UVCS integration under the specified organization.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"name":"string"}' \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs"

Response example

{ "id": "string", "name": "string", "provider": "Uvcs"}

Gets a UVCS integration.


Gets a UVCS integration.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Gets a UVCS integration."

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The UVCS integration identifier.

HTTP response status codes for "Gets a UVCS integration.":

Code samples for "Gets a UVCS integration.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}"

Response example

{ "id": "string", "name": "string", "provider": "Uvcs"}

Updates an existing UVCS integration.


Updates an existing UVCS integration.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Updates an existing UVCS integration."

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The UVCS integration identifier.

Request body for "Updates an existing UVCS integration."

Media Type:
application/json

name

string
The name of the VCS integration.

HTTP response status codes for "Updates an existing UVCS integration.":

Code samples for "Updates an existing UVCS integration.":

Request example

curl -X PUT \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"name":"string"}' \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}"

Response example

{ "id": "string", "name": "string", "provider": "Uvcs"}

Deletes a UVCS integration.


Deletes a UVCS integration.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Deletes a UVCS integration."

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The UVCS integration identifier.

HTTP response status codes for "Deletes a UVCS integration.":

Code samples for "Deletes a UVCS integration.":

Request example

curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}"

Response example

{ "code": 54, "detail": "The target resource couldn't be found", "requestId": "684529e0-265b-4875-8ee2-3f839c6aced2", "status": 404, "title": "Not Found", "type": "https://services.docs.unity.com/docs/errors#54"}

Lists all UVCS organizations that are readable by the current user.


Lists all UVCS organizations that are readable by the current user.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Lists all UVCS organizations that are readable by the current user."

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The VCS integration identifier.

Query parameters for "Lists all UVCS organizations that are readable by the current user."

offset

integer
int representing number of items to skip

limit

integer
int representing max returned items

HTTP response status codes for "Lists all UVCS organizations that are readable by the current user.":

Code samples for "Lists all UVCS organizations that are readable by the current user.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations"

Response example

{ "limit": 0, "offset": 0, "results": [ { "description": "string", "displayName": "string", "isEncrypted": true, "name": "string", "slug": "string" } ], "total": 0}

Lists all UVCS repositories that are readable by the current user.


Lists all UVCS repositories that are readable by the current user.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Lists all UVCS repositories that are readable by the current user."

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationName

string
required
Path parameter organizationName

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The VCS integration identifier.

organizationName

string
required
The UVCS organization name.

Query parameters for "Lists all UVCS repositories that are readable by the current user."

offset

integer
int representing number of items to skip

limit

integer
int representing max returned items

HTTP response status codes for "Lists all UVCS repositories that are readable by the current user.":

Code samples for "Lists all UVCS repositories that are readable by the current user.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories"

Response example

{ "limit": 0, "offset": 0, "results": [ { "defaultBranch": "string", "description": "string", "id": "string", "name": "string" } ], "total": 0}

Lists all branches that are readable by the current user in the repository.


Lists all branches that are readable by the current user in the repository.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Lists all branches that are readable by the current user in the repository."

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationName

string
required
Path parameter organizationName

repositoryName

string
required
Path parameter repositoryName

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The VCS integration identifier.

organizationName

string
required
The UVCS organization name.

repositoryName

string
required
The repository name.

Query parameters for "Lists all branches that are readable by the current user in the repository."

offset

integer
int representing number of items to skip

limit

integer
int representing max returned items

HTTP response status codes for "Lists all branches that are readable by the current user in the repository.":

Code samples for "Lists all branches that are readable by the current user in the repository.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories/{repositoryName}/branches"

Response example

{ "limit": 0, "offset": 0, "results": [ { "id": "string", "name": "string" } ], "total": 0}

Get folder information (files, folders and total size in bytes) from a branch.


Get folder information (files, folders and total size in bytes) from a branch. This operation is valid for folders only.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Get folder information (files, folders and total size in bytes) from a branch."

branchName

string
required
Path parameter branchName

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationName

string
required
Path parameter organizationName

repositoryName

string
required
Path parameter repositoryName

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The VCS integration identifier.

organizationName

string
required
The UVCS organization name.

repositoryName

string
required
The repository name.

branchName

string
required
The branch name.

Query parameters for "Get folder information (files, folders and total size in bytes) from a branch."

recursive

boolean
If true, traverse the entire directory tree.

HTTP response status codes for "Get folder information (files, folders and total size in bytes) from a branch.":

Code samples for "Get folder information (files, folders and total size in bytes) from a branch.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories/{repositoryName}/branches/{branchName}/folder-info/(.*)"

Response example

{ "files": 0, "folders": 0, "totalSize": 0}

Lists all items that are available in the specified repository and branch.


Lists all items that are available in the specified repository and branch.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Lists all items that are available in the specified repository and branch."

branchName

string
required
Path parameter branchName

integrationId

string
required
Path parameter integrationId

organizationId

string
required
Genesis ID of the organization

organizationName

string
required
Path parameter organizationName

repositoryName

string
required
Path parameter repositoryName

organizationId

string
required
The Unity organization identifier.

integrationId

string
required
The VCS integration identifier.

organizationName

string
required
The UVCS organization name.

repositoryName

string
required
The repository name.

branchName

string
required
The branch name.

Query parameters for "Lists all items that are available in the specified repository and branch."

offset

integer
int representing number of items to skip

limit

integer
int representing max returned items

HTTP response status codes for "Lists all items that are available in the specified repository and branch.":

Code samples for "Lists all items that are available in the specified repository and branch.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/organizations/{organizationId}/vcs-integrations/uvcs/{integrationId}/organizations/{organizationName}/repositories/{repositoryName}/branches/{branchName}/items/(.*)"

Response example

{ "limit": 0, "offset": 0, "results": [ { "comment": "string", "commitReference": "string", "contentType": "string", "dateTime": "2024-01-01T00:00:00Z", "filePath": "string", "isDir": true, "item": "string", "path": "string", "revisionId": 0, "size": 0 } ], "total": 0}

Downloads the specified asset artifact by redirecting to a cloud storage URL.


Downloads the specified asset artifact by redirecting to a cloud storage URL. When width or height parameters are informed, and the artifact is a supported image format (image/jpeg, image/gif, image/png, image/tiff, image/webp), it resizes the artifact. If both width and height are informed, the resized image may not preserve its aspect ratio. The minimum resized image dimensions are 2x2 pixels; the maximum resized image dimensions are 3850x3850 pixels.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Downloads the specified asset artifact by redirecting to a cloud storage URL."

assetId

string
required
Path parameter assetId

assetVersion

string
required
Path parameter assetVersion

dataSetId

string
required
Path parameter dataSetId

projectId

string
required
Project ID

projectId

string
required
Project identifier.

assetId

string
required
Asset identifier.

assetVersion

string
required
Asset version.

dataSetId

string
required
Dataset identifier.

Query parameters for "Downloads the specified asset artifact by redirecting to a cloud storage URL."

width

integer
Width of the resized image, in quantized intervals of 50. For instance, if the requested width is 48, the resized image width will be 50; if the requested width is 64, the resized image width will be 100.

height

integer
Height of the resized image, in quantized intervals of 50. For instance, if the requested height is 48, the resized image height will be 50; if the requested height is 64, the resized image height will be 100.

url

boolean
If true, returns an object containing the signed URL.

HTTP response status codes for "Downloads the specified asset artifact by redirecting to a cloud storage URL.":

Code samples for "Downloads the specified asset artifact by redirecting to a cloud storage URL.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{dataSetId}/files/(.*)"

Response example

{ "expiry": "2024-01-01T00:00:00Z", "location": "https://example.com"}

Creates datasets under the specified Asset Manager project and asset.


Creates datasets under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Creates datasets under the specified Asset Manager project and asset."

assetId

string
required
Path parameter assetId

assetVersion

string
required
Path parameter assetVersion

projectId

string
required
Project ID

projectId

string
required
The Asset Manager project identifier.

assetId

string
required
The Asset Manager asset identifier.

assetVersion

string
required
The Asset Manager asset version identifier.

Request body for "Creates datasets under the specified Asset Manager project and asset."

Media Type:
application/json

configurations

object
An object containing the parameters required for UVCS datasets.

branch

string
The branch name.

organization

string
The organization name.

repository

string
The reposistory name.

datasetName

string
The name of the dataset.

items

array[object]
The list of files from UVCS.

filePath

string
The VCS filepath.

isDir

boolean
Whether the item represents a directory or a file.

pauseSync

boolean
Whether or not to keep in sync with UVCS.

vcsIntegrationId

string
The VCS integration identifier.

HTTP response status codes for "Creates datasets under the specified Asset Manager project and asset.":

Code samples for "Creates datasets under the specified Asset Manager project and asset.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"configurations":{"branch":"string","organization":"string","repository":"string"},"datasetName":"string","items":[{"filePath":"string","isDir":true}],"pauseSync":true,"vcsIntegrationId":"string"}' \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets"

Response example

{ "datasetId": "string", "items": [ { "filePath": "string", "isDir": true } ], "pauseSync": true}

Gets a dataset under the specified Asset Manager project and asset.


Gets a dataset under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Gets a dataset under the specified Asset Manager project and asset."

assetId

string
required
Path parameter assetId

assetVersion

string
required
Path parameter assetVersion

datasetId

string
required
Path parameter datasetId

projectId

string
required
Project ID

projectId

string
required
The Asset Manager project identifier.

assetId

string
required
The Asset Manager asset identifier.

assetVersion

string
required
The Asset Manager asset version identifier.

datasetId

string
required
The dataset identifier.

HTTP response status codes for "Gets a dataset under the specified Asset Manager project and asset.":

Code samples for "Gets a dataset under the specified Asset Manager project and asset.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}"

Response example

{ "datasetId": "string", "items": [ { "filePath": "string", "isDir": true } ], "pauseSync": true}

Updates datasets under the specified Asset Manager project and asset.


Updates datasets under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Updates datasets under the specified Asset Manager project and asset."

assetId

string
required
Path parameter assetId

assetVersion

string
required
Path parameter assetVersion

datasetId

string
required
Path parameter datasetId

projectId

string
required
Project ID

projectId

string
required
The Asset Manager project identifier.

assetId

string
required
The Asset Manager asset identifier.

assetVersion

string
required
The Asset Manager asset version identifier.

datasetId

string
required
The dataset identifier.

Request body for "Updates datasets under the specified Asset Manager project and asset."

Media Type:
application/json

items

array[object] | null
The list of files from VCS.

filePath

string
The VCS filepath.

isDir

boolean
Whether the item represents a directory or a file.

pauseSync

boolean | null
Whether or not to keep in sync with VCS.

HTTP response status codes for "Updates datasets under the specified Asset Manager project and asset.":

Code samples for "Updates datasets under the specified Asset Manager project and asset.":

Request example

curl -X PUT \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/*+json" \ -d '{"items":[{"filePath":"string","isDir":true}],"pauseSync":true}' \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}"

Response example

{ "datasetId": "string", "items": [ { "filePath": "string", "isDir": true } ], "pauseSync": true}

Deletes datasets under the specified Asset Manager project and asset.


Deletes datasets under the specified Asset Manager project and asset.
Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "Deletes datasets under the specified Asset Manager project and asset."

assetId

string
required
Path parameter assetId

assetVersion

string
required
Path parameter assetVersion

datasetId

string
required
Path parameter datasetId

projectId

string
required
Project ID

projectId

string
required
The Asset Manager project identifier.

assetId

string
required
The Asset Manager asset identifier.

assetVersion

string
required
The Asset Manager asset version identifier.

datasetId

string
required
The dataset identifier.

HTTP response status codes for "Deletes datasets under the specified Asset Manager project and asset.":

Code samples for "Deletes datasets under the specified Asset Manager project and asset.":

Request example

curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://services.api.unity.com/assets/storage/v1/vcs-integrations/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}"

Response example

{ "code": 54, "detail": "The target resource couldn't be found", "requestId": "684529e0-265b-4875-8ee2-3f839c6aced2", "status": 404, "title": "Not Found", "type": "https://services.docs.unity.com/docs/errors#54"}